QGIS Application - Bug report #16415
QGIS widget fields values are not loaded with layer definition files
2017-04-06 04:51 AM - Pablo Fernandez Moniz

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.4 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 24324
Description

Summary of the issue: When creating a layer definition file that uses QGIS widget for representing fields, if the layer is loaded, the widget
for representing fields is missed.

QGIS version: 2.14-Essen and 2.16.2 for OSX 10.10.5 64 bits. 2.14-Essen for Windows 7 32 bits.

Steps to reproduce:

Add a new shapefile layer with two fields, for example the default id field and a text field called test_field.

Open the layer properties and change the Edit widget for the test_field row. You can set it for example to Date/Time. Save the
modifications.

Generate the layer definition file using the option “Save As Layer Definition File” from the menu layer.
If you open the recently created layer definition file, you can check that there is a section with the widget type:
&lt;edittype widgetv2type="DateTime" name="test_field"&gt;
&lt;widgetv2config fieldEditable="1" calendar_popup="0" allow_null="0" display_format="yyyy-MM-dd"
field_format="yyyy-MM-dd" labelOnTop="0"/&gt;
&lt;/edittype&gt;

If you open a new project and add layer using the generated definition file (Layer/Add from Layer Definition File), the layer is added but
all widgets used for the fields are the default text widget.

We provided the layer definition file generated for this example.

QGIS version: 2.14-Essen and 2.16.2 for OSX 10.10.5 64 bits. 2.14-Essen for Windows 7 32 bits.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 09:53 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
